2. command
Prev | Chapter 4. Reference | Next

## 2. command

    <command
      name = NMTOKEN
    >
      Content: class
    </command>

    <class>
      Content: Java class name
    </class>

Specifies a command, that is, a Java™ Object implementing interface `com.xmlmind.xmledit.gadget.Command`.

The class implementing interface `com.xmlmind.xmledit.gadget.Command` is specified by the `class` child element.

Attributes:

name

  Required. Unique name identifying the command in this GUI specification.

Example:

    <command name="showStatistics">
      <class>com.acme.custom_xxe.ShowStatistics</class>
    </command>

Prev | Up | Next
1.1. Action which is a wrapper around a command | Home | 3. include